{% extends "base.html" %}

{% block content %}

  	<div id="app">
		<div class="container-fluid">
			<header class="header">
				<button style="max-width: 62px;" class="btn btn--transparent header__show-search hidden-lg col" id="showSearch"><i class="fas fa-search fa-lg"></i></button>
				<h1 class="col">Contacts</h1>
				<button style="max-width: 62px;" class="btn--transparent hidden-lg col" data-target="#addContactModal"><i class="fas fa-plus fa-lg"></i></button>
			<div class="search-wrapper-mobile is-hidden">
				<input class="header__search" type="text" placeholder="Search" v-model="search_term" v-on:keyup="getContacts()">
				<span class="header__search-close small" v-on:click="getContacts(true)">Cancel</span>
			</div>
			</header>

			<div class="wrapper">
				<div class="grid hidden-md">
					<div class="row">
						<div class="col">
							<button class="btn btn--success" data-target="#addContactModal">Add Contact</button>
						</div>
						<div class="col search-wrapper">
							<input class="search" type="text" placeholder="Search" v-model="search_term" v-on:keyup="getContacts()">
							<button class="btn" v-on:click.prevent="getContacts()">Search</button>
						</div>
					</div>
				</div>
				<div class="contact-wrapper grid">
					<div class="contact-headers row">
						<div class="contact-headers__item name col">Name</div>
						<div class="contact-headers__item col">Location</div>
            <div class="contact-headers__item actions col">Tags</div>
            <div class="contact-headers__item actions col">Telephones</div>
            <div class="contact-headers__item actions col">URL</div>
            <div class="contact-headers__item actions col">Images</div>
            <div class="contact-headers__item actions col">Actions</div>
					</div>
					<div class="contact row" v-for="contact in contacts">
						<div class="contact__item name-email"  v-on:click="getContact(contact.pk)">
							<div class="name col">
                <ul>
                <li>${contact.name}</li>
                <li>${contact.surname}</li>
              </ul>
              </div>
							<div class="email col">
                <ul>
                <li>${contact.country}</li>
                <li>${contact.city}</li>
                <li>${contact.address}</li>
              </ul>
              </div>
							<div class="email col">${contact.tags}</div>
							<div class="email col">
                <ul><li v-for="telephone in contact.telephones">${telephone.telephone}</li></ul>
              </div>
              <div class="email col">
                <ul><li v-for="url in contact.urls"><a target="_blank" v-bind:href="url.url">${url.url}</a></li></ul>
              </div>
              <div class="email col">
                <ul><li v-for="image in contact.images"><img v-if="typeof image.image !== 'object'" :src="image.image" alt="" style="max-width: 100px; margin-bottom: 15px"></li></ul>
              </div>
						</div>
						<div class="contact__item actions col">
							<button class="btn btn--danger delete hidden-md" v-on:click="deleteContact(contact.pk)">Delete</button>
							<button class="btn edit" v-on:click="getContact(contact.pk)">Edit</button>
						</div>
					</div><!-- end for contact in contacts -->
				</div>
				<!-- 'Add Contact' Modal -->
				<div class="modal" id="addContactModal">
					<div class="modal__dialog">
						<div class="modal__content">
							<div class="modal__header">
								<h5 class="modal__title hidden-md">ADD CONTACT</h5>
								<span class="link hidden-lg" data-dismiss="modal"><i class="fas fa-caret-left"></i> Cancel</span>
							</div>
							<form v-on:submit.prevent="addContact()">
								<div class="modal__body">
									<div class="input-group">
										<label for="contact_name">Name</label>
										<input
										type="text"
										class=" modal__input"
										id="contact_name"
										placeholder="Name"
										v-model="newContact.name"
										required="required" >
									</div>
									<div class="input-group">
										<label for="contact_email">Surname</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Surname"
										v-model="newContact.surname"
										required="required">
									</div>
                  <div class="input-group">
										<label for="contact_email">Country</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Country"
										v-model="newContact.country">
									</div>
                  <div class="input-group">
										<label for="contact_email">City</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="City"
										v-model="newContact.city">
									</div>
                  <div class="input-group">
										<label for="contact_email">Address</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Address"
										v-model="newContact.address">
									</div>
                  <div class="input-group">
										<label for="contact_email">Tags</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Tags"
										v-model="newContact.tags">
									</div>
                  <div class="input-group" v-for="(item, index) in newContact.telephones">
										<label for="contact_email">Telephone</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Telephone"
										v-model="item.telephone"
										required="required">
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="newContact.telephones.splice(index, 1)">Delete</button>
                  </div>
                  <button class="btn edit" v-on:click.prevent="newContact.telephones.push({'telephones': ''})">Add Telephone</button>
                  <div class="input-group mt-3" v-for="(item, index) in newContact.urls">
										<label for="contact_email">URL</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="URL"
										v-model="item.url">
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="newContact.urls.splice(index, 1)">Delete</button>
									</div>
                  <button class="btn edit" v-on:click.prevent="newContact.urls.push({'url': ''})">Add url</button>
                  <div class="input-group" v-for="(item, index) in images">
                  <div>
                      <h2 class="mt-3">Select an image</h2>
                      <input class="mb-3" type="file" @change="onFileChange($event, index)" :data-index="index">
                    </div>
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="images.splice(index, 1)">Delete</button>
									</div>
                  <button class="btn edit" v-on:click.prevent="images.push({'image': '', 'contact': null})">Add Image</button>
								</div>
								<div class="modal__footer">
									<button type="button" class="btn hidden-md" data-dismiss="modal">Close</button>
									<button id="add_contact" type="submit" class="btn btn--success">Add Contact</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- end add contact modal -->


        <!-- 'Add Image Modal -->
				<div class="modal" id="addImageModal" style="z-index: 2000">
					<div class="modal__dialog">
						<div class="modal__content">
							<div class="modal__header">
								<h5 class="modal__title hidden-md">ADD IMAGE</h5>
								<span class="link hidden-lg" data-dismiss="modal"><i class="fas fa-caret-left"></i> Cancel</span>
							</div>
							<form v-on:submit.prevent="addImage(currentContact.pk)">
								<div class="modal__body">
                  <div class="input-group" v-for="(item, index) in images">
                  <div>
                      <h2>Select an image</h2>
                      <input class="mb-3" type="file" @change="onFileChange($event, index)" :data-index="index">
                    </div>
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="images.splice(index, 1)">Delete</button>
									</div>
                  <button class="btn edit" v-on:click.prevent="images.push({'image': '', 'contact': null})">Add Image</button>
								</div>
								<div class="modal__footer">
									<button type="button" class="btn hidden-md" data-dismiss="modal">Close</button>
									<button id="add_contact" type="submit" class="btn btn--success">Add Image</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- end add image modal -->


        <!-- 'Edit Image Modal -->
				<div class="modal" id="editImageModal" style="z-index: 2000">
					<div class="modal__dialog">
						<div class="modal__content">
							<div class="modal__header">
								<h5 class="modal__title hidden-md">Edit IMAGE</h5>
								<span class="link hidden-lg" data-dismiss="modal"><i class="fas fa-caret-left"></i>Cancel</span>
							</div>
							<form v-on:submit.prevent="updateImage(currentContact.pk)">
								<div class="modal__body">
                  <div class="input-group">
										<label for="contact_email">Image</label>
                  <div>
                      <h2>Select an image</h2>
                      <input type="file" @ @change="onEditFileChange">
                    </div>
									</div>
								</div>
								<div class="modal__footer">
									<button type="button" class="btn hidden-md" data-dismiss="modal">Close</button>
									<button id="add_contact" type="submit" class="btn btn--success">Edit Image</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- end Edit image modal -->


        <!-- Add Url Modal -->
				<div class="modal" id="addUrlModal" style="z-index: 2000">
					<div class="modal__dialog">
						<div class="modal__content">
							<div class="modal__header">
								<h5 class="modal__title hidden-md">ADD URL</h5>
								<span class="link hidden-lg" data-dismiss="modal"><i class="fas fa-caret-left"></i> Cancel</span>
							</div>
							<form v-on:submit.prevent="submitUrl(currentContact.pk)">
								<div class="modal__body">
                  <div class="input-group">
										<label for="contact_email">URL</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Url"
                    v-model="urls.url"
										>
									</div>
								</div>
								<div class="modal__footer">
									<button type="button" class="btn hidden-md" data-dismiss="modal">Close</button>
									<button id="add_contact" type="submit" class="btn btn--success">Add URL</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- end add Url modal -->

        <!-- Add Telephone Modal -->
				<div class="modal" id="addTelephoneModal" style="z-index: 2000">
					<div class="modal__dialog">
						<div class="modal__content">
							<div class="modal__header">
								<h5 class="modal__title hidden-md">ADD Telephone</h5>
								<span class="link hidden-lg" data-dismiss="modal"><i class="fas fa-caret-left"></i> Cancel</span>
							</div>
							<form v-on:submit.prevent="submitTelephone(currentContact.pk)">
								<div class="modal__body">
                  <div class="input-group">
										<label for="contact_email">Telephone</label>
										<input
										class="modal__input"
										placeholder="Telephone"
                    v-model="telephone.telephone"
										>
									</div>
								</div>
								<div class="modal__footer">
									<button type="button" class="btn hidden-md" data-dismiss="modal">Close</button>
									<button id="add_contact" type="submit" class="btn btn--success">Add Telephone</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- end add Telephone modal -->

				<!-- 'Edit Contact' Modal -->
				<div class="modal" id="editContactModal">
					<div class="modal__dialog">
						<div class="modal__content">
							<div class="modal__header">
								<h5 class="modal__title hidden-md">EDIT CONTACT</h5>
								<span class="link" data-dismiss="modal"><i class="fas fa-caret-left"></i> Cancel</span>
							</div>
							<form v-on:submit.prevent="updateContact()">
								<div class="modal__body">
									<div class="input-group">
										<label for="contact_name">Name</label>
										<input
										type="text"
										class=" modal__input"
										id="contact_name"
										placeholder="Name"
										v-model="currentContact.name"
										required="required" >
									</div>
									<div class="input-group">
										<label for="contact_email">Surname</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Surname"
										v-model="currentContact.surname"
										required="required">
									</div>
                  <div class="input-group">
										<label for="contact_email">Country</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Country"
										v-model="currentContact.country">
									</div>
                  <div class="input-group">
										<label for="contact_email">City</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="City"
										v-model="currentContact.city">
									</div>									<div class="input-group">
										<label for="contact_email">Address</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Address"
										v-model="currentContact.address">
									</div>
                  <div class="input-group">
										<label for="contact_email">Tags</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Tags"
										v-model="currentContact.tags">
									</div>
                  <div class="input-group" v-for="(item, index) in currentContact.telephones">
										<label for="contact_email">Telephone</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="Telephone"
										v-model="item.telephone"
                    @change="editTelephone(index)"
										required="required">
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="deleteTelephone(item.pk)">Delete</button>
                  </div>
                  <button class="btn edit" v-on:click.prevent="showTelephoneModal()">Add Telephone</button>
                  <br>
                  <hr>
                  <div class="input-group" v-for="(item, index) in currentContact.urls">
										<label for="contact_email">URL</label>
										<input
										class="modal__input"
										id="contact_email"
										placeholder="URL"
                    v-on:keyup.prevent="editUrl(index)"
										v-model="item.url">
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="deleteUrl(item.pk)">Delete</button>
									</div>
                  <button class="btn edit" v-on:click.prevent="showUrlModal()">Add url</button>
                  <br>
                  <hr>
                  <label>Images</label>
                  <div class="input-group" v-for="(item, index) in currentContact.images">
                  <div>
                    <img v-if="typeof item.image !== 'object'" :src="item.image" alt="" style="max-width: 100px; margin: 15px 0;">
                    </div>
                    <button class="btn edit " v-on:click.prevent="showEditImageModal(index)">Edit</button>
                    <button class="btn btn--danger delete hidden-md" v-on:click.prevent="deleteImage(item.pk)">Delete</button>
									</div>
                  <button class="btn btn--success mb-3" v-on:click="showImageModal()">Add Image</button>
								<div class="modal__footer">
								<a href="#" class="link link--danger small" style="float: left; padding-top: 8px" v-on:click.prevent="deleteContact(currentContact.pk)">Delete This Contact</a>
									<button type="button" class="btn hidden-md" data-dismiss="modal">Close</button>
									<button type="submit" class="btn btn--success" data-dismiss="modal" v-on:click.prevent="updateContact()">Save changes</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			<!-- end edit contact modal -->
			</div>
		</div>
	</div>

{% endblock %}
